org.apache.cassandra.db.marshal

## Class AbstractCompositeType.CompositeComponent

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractCompositeType.CompositeComponent

- Enclosing class:
    AbstractCompositeType

      public static class AbstractCompositeType.CompositeComponent
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AbstractType<?>` | `comparator`
    `java.nio.ByteBuffer` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeComponent(AbstractType<?> comparator, java.nio.ByteBuffer value)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### comparator

          public AbstractType<?> comparator

    - #### value

          public java.nio.ByteBuffer value

  - ### Constructor Detail

    - #### CompositeComponent

          public CompositeComponent(AbstractType<?> comparator,
                                    java.nio.ByteBuffer value)

Copyright © 2018 The Apache Software Foundation